Subject: Re: compilation errors trying to build unzip on cygwin
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Sat, 13 Feb 2021 21:59:34 -0700
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-02-13 19:34, Soren via Cygwin wrote:
> Hi, again. I sent a request for help with this build. Then I put on my
> thinking cap and snatched in the cygwin src for this pkg, which is new
> (6.0). Yet I still cannot build. Thus, here is the output on my console:
> But first, weirdly we are finding a different make:
> $  which make
> /usr/bin/make
>   ((alright))
> $ make -f unix/Makefile cygwin
> C:/ix/gnuwin32/bin/make unzips CC=gcc LD=gcc AS=gcc\
>           CFLAGS="-O3 -DASM_CRC -DNO_LCHOWN -DNO_LCHMOD"\
>           AF="-Di386  " CRCA_O=crc_gcc.o\
>           E=".exe" CP="cp" LN="ln -s"
> C:\ix\gnuwin32\bin\make: invalid option -- A
> C:\ix\gnuwin32\bin\make: invalid option -- M
> C:\ix\gnuwin32\bin\make: invalid option -- _
> C:\ix\gnuwin32\bin\make: invalid option -- N
> C:\ix\gnuwin32\bin\make: invalid option -- O
> C:\ix\gnuwin32\bin\make: invalid option -- _
> C:\ix\gnuwin32\bin\make: invalid option -- N
> C:\ix\gnuwin32\bin\make: invalid option -- O
> C:\ix\gnuwin32\bin\make: invalid option -- _
> Usage: make [options] [target] ...
> Options:
>   ...
> 
> My PATH before cygwin manages it looks like:
> [1] C:\windows\system32
> [2] C:\windows
> [3] C:\windows\System32\Wbem
> [4] C:\windows\System32\WindowsPowerShell\v1.0\
> [5] C:\windows\System32\OpenSSH\
> [6] C:\Program Files (x86)\NVIDIA Corporation\PhysX\Common
> [7] C:\Program Files\NVIDIA Corporation\NVIDIA NvDLISR
> [8] C:\ix\putty\
> [9] C:\perl\c\bin
> [10] C:\perl\perl\site\bin
> [11] C:\perl\perl\bin
> [12] C:\ix\gnuwin32\bin
> [13] C:\Users\somia\AppData\Local\Microsoft\WindowsApps
> [14] C:\ix\mingw\bin
> [15] C:\Perl\bin
> 
> After diving into Cygwin-dom:
> PATH=/usr/local/bin:/usr/bin:/cygdrive/c/windows/system32:/cygdrive/c/windows:/cygdrive/c/windows/System32/Wbem
> :/cygdrive/c/windows/System32/WindowsPowerShell/v1.0:/cygdrive/c/windows/System32/OpenSSH:/cygdrive/c/Program
> F
> iles (x86)/NVIDIA Corporation/PhysX/Common:/cygdrive/c/Program Files/NVIDIA
> Corporation/NVIDIA NvDLISR:/cygdriv
> e/c/ix/putty:/cygdrive/c/perl/c/bin:/cygdrive/c/perl/perl/site/bin:/cygdrive/c/perl/perl/bin:/cygdrive/c/ix/gnu
> win32/bin:/cygdrive/c/Users/somia/AppData/Local/Microsoft/WindowsApps:/cygdrive/c/ix/mingw/bin:/cygdrive/c/Perl
> /bin
> 
> Hmmm, right? Why would make spawn submakes that don't come earlier in PATH?

Install cygport, libbz2-devel, and any other unzip build dependencies, then in 
the source unzip.cygport directory, run:

	$ cygport unzip.cygport download all check

and you should have a successful build in five minutes or less.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]
--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple